# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::RenderingTree Class Reference

The RenderingTree class organizes a set of renderings into an N-ary tree. More...

`#include <RenderingTree.hpp>`

Inheritance diagram for vl::RenderingTree:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| RenderingTree ()
| Constructor.
| RenderingTree (const RenderingTree &other)
| Copy constructor.
RenderingTree & | operator= (const RenderingTree &other)
| Assignment operator.
virtual void | render ()
| Recursively calls the render() method of its children.
Collection< RenderingAbstract > * | subRenderings ()
| The sub-Rendering (or child-Rendering) objects of a Rendering. A sub-Rendering is rendered before it's parent and after its children.
const Collection < RenderingAbstract > * | subRenderings () const
| The sub-Rendering (or child-Rendering) objects of a Rendering. A sub-Rendering is rendered before it's parent and after its children.

## Protected Attributes

ref< Collection < RenderingAbstract > > | mSubRendering

## Detailed Description

The RenderingTree class organizes a set of renderings into an N-ary tree.

To enable the RenderingTree set the enableMask() to a value != 0, otherwise the RenderingTree will be disabled.

Definition at line 41 of file RenderingTree.hpp.

## Constructor & Destructor Documentation

RenderingTree::RenderingTree | ( | ) |

Constructor.

Definition at line 37 of file RenderingTree.cpp.

References mSubRendering.

vl::RenderingTree::RenderingTree | ( | const RenderingTree & | other ) | `[inline]`

Copy constructor.

Definition at line 50 of file RenderingTree.hpp.

## Member Function Documentation

virtual const char* vl::RenderingTree::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderingAbstract.

Definition at line 44 of file RenderingTree.hpp.

RenderingTree & RenderingTree::operator= | ( | const RenderingTree & | other ) |

Assignment operator.

Definition at line 42 of file RenderingTree.cpp.

References mSubRendering.

void RenderingTree::render | ( | ) | `[virtual]`

Recursively calls the render() method of its children.

Note:
  If enableMask() == 0 then no rendering is performed and no RenderEventCallback is called.

Implements vl::RenderingAbstract.

Definition at line 49 of file RenderingTree.cpp.

References vl::Collection< T >::at(), vl::RenderingAbstract::dispatchOnRenderingFinished(), vl::RenderingAbstract::dispatchOnRenderingStarted(), vl::RenderingAbstract::enableMask(), vl::RenderingAbstract::frameClock(), vl::RenderingAbstract::render(), vl::RenderingAbstract::setFrameClock(), vl::Collection< T >::size(), and subRenderings().

Collection<RenderingAbstract>* vl::RenderingTree::subRenderings | ( | ) | `[inline]`

The sub-Rendering (or child-Rendering) objects of a Rendering. A sub-Rendering is rendered before it's parent and after its children.

Definition at line 61 of file RenderingTree.hpp.

Referenced by render().

const Collection<RenderingAbstract>* vl::RenderingTree::subRenderings | ( | ) | const`[inline]`

The sub-Rendering (or child-Rendering) objects of a Rendering. A sub-Rendering is rendered before it's parent and after its children.

Definition at line 63 of file RenderingTree.hpp.

## Member Data Documentation

ref< Collection<RenderingAbstract> > vl::RenderingTree::mSubRendering`[protected]`

Definition at line 66 of file RenderingTree.hpp.

Referenced by operator=(), and RenderingTree().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RenderingTree.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RenderingTree.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:44.
Permission is granted to use this page to write and publish articles regarding Visualization Library.